Bug 1465979 - During upgrade from 3.4 to 3.5 -- error: openshift-infra is not a valid namespace
During upgrade from 3.4 to 3.5 -- error: openshift-infra is not a valid names...
Status: CLOSED WORKSFORME
Product: OpenShift Container Platform
Classification: Red Hat
Component: Auth (Show other bugs)
3.5.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jordan Liggitt
Chuan Yu
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-28 11:17 EDT by Steven Walter
Modified: 2017-07-01 09:53 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-01 09:53:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Walter 2017-06-28 11:17:40 EDT
Description of problem:

TASK [Reconcile Security Context Constraints] **********************************
fatal: [master1.example.com]: FAILED! => {
    "changed": false, 
    "cmd": [
        "oc", 
        "adm", 
        "policy", 
        "reconcile-sccs", 
        "--confirm", 
        "--additive-only=true", 
        "-o", 
        "name"
    ], 
    "delta": "0:00:00.238453", 
    "end": "2017-06-27 15:59:22.262673", 
    "failed": true, 
    "rc": 1, 
    "start": "2017-06-27 15:59:22.024220", 
    "warnings": []
}

STDERR:

error: openshift-infra is not a valid namespace
See 'oc adm policy reconcile-sccs -h' for help and examples.



Version-Release number of selected component (if applicable):
3.5

How reproducible:
Unconfirmed


Actual results:
openshift-infra is not a valid namespace

Expected results:
upgrade succeed

Additional info:
User is logged in as cluster-admin
Comment 5 Jordan Liggitt 2017-06-29 00:40:14 EDT
message improved in https://github.com/openshift/origin/pull/14639
Comment 6 Jordan Liggitt 2017-06-29 00:41:02 EDT
this was typically seen when running the command as an unprivileged user
Comment 8 Eric Paris 2017-07-01 09:53:15 EDT
Since we have improved the message we hope that if this problem reoccurred we will be able to help. However at this time I am going to close the bugzilla request as WORKSFORME

Note You need to log in before you can comment on or make changes to this bug.